Get an invoice
Read one invoice with its lines.
GET https://cotlet.dev/api/v1/aroflo/invoices/{invoice_id}
read
Returns the invoice header, its status and every line with description, quantity, rate and amount. The total is the sum of the lines. Use it to check an invoice before approve_invoice, because an Approved invoice cannot be edited.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_id string required | string | Invoice ID from list_invoices. |
Request
curl https://cotlet.dev/api/v1/aroflo/invoices/invoice_8c41d2 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("aroflo", "get_invoice", {"invoice_id":"invoice_8c41d2"}) const result = await cotlet.call('aroflo', 'get_invoice', {"invoice_id":"invoice_8c41d2"}); cotlet call aroflo get_invoice --data '{"invoice_id":"invoice_8c41d2"}' Example response
{
"invoice_id": "inv_2041",
"invoice_no": "2041",
"client": "Harbour Café",
"job_number": "J1170",
"status": "In Progress",
"lines": [
{
"description": "Labour",
"quantity": 3,
"rate": 120,
"amount": 360
},
{
"description": "Compressor contactor",
"quantity": 1,
"rate": 480,
"amount": 480
}
],
"total": 840
}